#650 function parseBid in auction.c line 585

v1.0 (example)
closed-fixed
nobody
None
5
2014-04-02
2014-03-22
Tom
No

Auction 161252297930: Stannol Multicore 60/40 Flux Cored Fine Electrical Soft Solder 22swg 0.7mm x 3m
Time remaining: 2 mins 26 secs (146 seconds)
End time: 22/03/2014 20:36:14
Currently: 0.99 (your maximum bid: 3.68)

of bids: 1

High bidder: nj (NOT **)
Latency: 1 seconds

Sat Mar 22 20:33:50 2014: Sleeping for 2 minutes 17 seconds

Auction 161252297930: Bidding...
esniper encountered a bug. Please go to:
http://sourceforge.net/tracker/?func=add&group_id=45285&atid=442436
paste this into "Detailed Description":
Automated esniper bug report.
esniper version 2.28.0
libcurl/7.15.5 OpenSSL/0.9.8b zlib/1.2.3 libidn/0.6.5
Error encountered in function parseBid in auction.c line 585
auction = 161252297930, price = 3.68, remain = 146
latency = 1, result = -1, error = 0
buf = 0x9157f18, size = 11349, read = 0x9157f18
time = 1395520568, offset = 0
pagename = "Review and confirm your bid", pageid = "(null)", srcid = "(null)"
specified options or config values:
1 x username(u) =
1 x password() =

1 x seconds(s) = 6
1 x quantity(q) = 1
1 x (f) = "auction-2014-03-22--20-36-15-sat-3m-solder.161252297930"
1 x reduce() = 1
1 x bid() = 1
1 x debug(d) = 0
1 x batch(b) = 0
1 x logdir(l) = "/home/****/incoming"
1 x historyHost() = "offer.ebay.com"
1 x prebidHost() = "offer.ebay.com"
1 x bidHost() = "offer.ebay.com"
1 x loginHost() = "signin.ebay.com"
1 x myeBayHost() = "my.ebay.com"
unknown pagename
then upload and attach esniper.23027.1.bug.html and click submit.
Cannot determine result of bid
Auction 161252297930: Waiting 7 seconds for auction to complete...

Auction 161252297930: Post-bid info:
Auction 161252297930: Stannol Multicore 60/40 Flux Cored Fine Electrical Soft Solder 22swg 0.7mm x 3m
Time remaining: (1 seconds)
End time: 22/03/2014 20:36:17
Currently: 0.99 (your maximum bid: 3.68)

of bids: 1

High bidder: nj (NOT **)
Auction 161252297930: Waiting 3 seconds for auction to complete...

Auction 161252297930: Post-bid info:
Auction 161252297930: Stannol Multicore 60/40 Flux Cored Fine Electrical Soft Solder 22swg 0.7mm x 3m
Time remaining: -- (0 seconds)
Currently: 0.99 (your maximum bid: 3.68)

of bids: 1

High bidder: nj (NOT **)

won 0 item(s)

1 Attachments

Discussion

  • omsynge
    omsynge
    2014-03-23

    I think I got the same or nearly the same bug. Thanks for making esniper it usually works good for me.

        Automated esniper bug report.
        esniper version 2.28.0
        libcurl/7.30.0 GnuTLS/2.12.20 zlib/1.2.7 libidn/1.25 libssh2/1.4.2 librtmp/2.3
        Error encountered in function parseBid in auction.c line 584
        auction = 301125631088, price = 170, remain = 130
        latency = 1, result = -1, error = 0
        buf = 0x2269360, size = 11207, read = 0x2269360
        time = 1395588152, offset = 0
        pagename = "Review and confirm your bid", pageid = "(null)", srcid = "(null)"
        specified options or config values:
          1 x username(u) = ***
          2 x password() = ***
          1 x seconds(s) = 10
          1 x quantity(q) = 1
          1 x (f) = "stax.txt"
          1 x reduce() = 1
          1 x bid() = 1
          1 x debug(d) = 1
          1 x batch(b) = 0
          1 x logdir(l) = "/home/oms101/home/ebay/esniperlogs/"
        unknown pagename
    
     
  • Bodo
    Bodo
    2014-04-02

    fixed in 2.29.0

     
  • Bodo
    Bodo
    2014-04-02

    • status: open --> closed-fixed